import request from '@/utils/request'

/*  添加站点 */
export function addDevice(params) {
  return request({
    url: '/ajax/site',
    method: 'post',
    data: params
  })
}

/*  更新站点信息 */
export function updateDevice(params) {
  return request({
    url: '/ajax/site/update',
    method: 'post',
    data: params
  })
}

/*  删除站点信息 */
export function deleteDevice(params) {
  return request({
    url: '/ajax/site/delete',
    method: 'get',
    params
  })
}

/*  查询单个站点 */
export function queryDevice(params) {
  return request({
    url: '/ajax/site/qo',
    method: 'get',
    params
  })
}

/*  分页查询站点 */
export function pageQueryDevice(params) {
  return request({
    url: '/ajax/site/pq',
    method: 'get',
    params
  })
}

/*  校验站点内部编号 */
export function checkDeviceSeq(params) {
  return request({
    url: '/ajax/site/checkSeq',
    method: 'get',
    params
  })
}
/*  校验站点外部编号 */
export function checkDeviceCode(params) {
  return request({
    url: '/ajax/site/checkCode',
    method: 'get',
    params
  })
}
