import request from '@/utils/request'

/*  停用用户 */
export function deleteUser(params) {
  return request({
    url: '/ajax/sys/ban',
    method: 'get',
    params
  })
}

/*  密码重置 */
export function resetPw(params) {
  return request({
    url: '/ajax/sys/resetPw',
    method: 'POST',
    data: params
  })
}

/*  查询负责site */
export function queryResponsibleSite(params) {
  return request({
    url: '/ajax/site/userSite',
    method: 'get',
    params
  })
}

/*  分页查询用户 */
export function pageQueryUser(params) {
  return request({
    url: '/ajax/sys/pq',
    method: 'get',
    params
  })
}

/*  检查账号是否注册 */
export function checkRegister(params) {
  return request({
    url: '/ajax/sys/check',
    method: 'get',
    params
  })
}

/*  新增新用户 */
export function addRegister(params) {
  return request({
    url: '/ajax/sys/insert',
    method: 'post',
    data: params
  })
}

/*  更新新用户 */
export function updateRegister(params) {
  return request({
    url: '/ajax/sys/update',
    method: 'post',
    data: params
  })
}

/*  查找用户信息 */
export function queryRegister(params) {
  return request({
    url: '/ajax/sys/qo',
    method: 'get',
    params
  })
}

/*   全部站点 */
export function siteAllList(params) {
  return request({
    url: '/ajax/site/all',
    method: 'get',
    params
  })
}

/*  配置站点 */
export function updatePermission(params) {
  return request({
    url: '	/ajax/sys/userSite',
    method: 'post',
    data: params
  })
}
